Module | Bio::GFF::GFF3::Escape
In: | lib/bio/db/gff.rb

Private methods for escaping characters. Internal only. Users should not use this module directly.

### Constants

UNSAFE | = | /[^-_.!~*'()a-zA-Z\d\/?:@+$\[\] "\x80-\xfd><;=,]/n |  | unsafe characters to be escaped for normal columns
UNSAFE_SEQID | = | /[^-a-zA-Z0-9.:^*$@!+_?|]/n |  | unsafe characters to be escaped for seqid columns and target_id of the "Target" attribute
UNSAFE_ATTRIBUTE | = | /[^-_.!~*'()a-zA-Z\d\/?:@+$\[\] "\x80-\xfd><]/n |  | unsafe characters to be escaped for attribute columns

[Validate]